Install TM1py

TM1py is a Python package that wraps the TM1 REST API in a simple to use library. That makes it easy to build stuff with TM1 and python.

Requirements:

  • TM1 10.2.2 FP5 as minimum

It is very easy to set up TM1py, you just need to follow these three steps:

  1. Install Python
  2. Enable the TM1 REST API
  3. Install TM1py package

All these steps are defined in the TM1py-sample github page: